Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 179851 - ssh doesn't pass locale-related environment by default
Summary: ssh doesn't pass locale-related environment by default
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-02-03 13:34 UTC by Dmitry Bolkhovityanov
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: openssh-4.3p1-2
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-06 21:04:32 UTC


Attachments (Terms of Use)
Patch for /etc/ssh/{ssh,sshd}_config (deleted)
2006-02-03 13:34 UTC, Dmitry Bolkhovityanov
no flags Details | Diff

Description Dmitry Bolkhovityanov 2006-02-03 13:34:33 UTC
Description of problem:
Ssh doesn't pass "local" locale-related envvars to remote host, as it should.
This leads to various annoying consequences -- to the minimum, wrong language is
used, or even wrong encoding.
Suppose one is logging from utf8-based host to 8859-* or even KOI8-configured
one -- that remote host outputs 8-bit characters, which present illegal utf8
sequences; the reverse situation is unacceptable too -- when utf8-based host
presents what looks as garbage on, say, KOI8-configured xterm.

Version-Release number of selected component (if applicable):
4.0p1-3

How reproducible:
Always

Steps to Reproduce:
1. Set LANG=en_US.ISO-8859-1 (or just use non-utf8-configured-machine)
2. Ssh to some utf8-configured host.
3. Type "echo $LANG"
  
Actual results:
en_US.UTF-8

Expected results:
en_US.ISO-8859-1

Additional info:
In fact, OpenSSH *does* support passing of envvars, locale-related ones should
just be listed in /etc/ssh/{ssh,sshd}_config in "SendEnv" and "AcceptEnv"
directives respectively BY DEFAULT.

Comment 1 Dmitry Bolkhovityanov 2006-02-03 13:34:33 UTC
Created attachment 124103 [details]
Patch for /etc/ssh/{ssh,sshd}_config

Comment 2 Tomas Mraz 2006-02-03 14:04:09 UTC
Valid enhancement request.



Note You need to log in before you can comment on or make changes to this bug.